## gimpgradientmenu gimpgradientmenu |

## Functions

GtkWidget * | gimp_gradient_select_widget_new ()
void | gimp_gradient_select_widget_close ()
void | gimp_gradient_select_widget_set ()

## Description

## Functions

### gimp_gradient_select_widget_new ()

    GtkWidget *
    gimp_gradient_select_widget_new (const gchar *title,
                                     const gchar *gradient_name,
                                     GimpRunGradientCallback callback,
                                     gpointer data);

`gimp_gradient_select_widget_new` is deprecated and should not be used in newly-written code.

Since: GIMP 2.2

### gimp_gradient_select_widget_close ()

    void
    gimp_gradient_select_widget_close (GtkWidget *widget);

`gimp_gradient_select_widget_close` is deprecated and should not be used in newly-written code.

### gimp_gradient_select_widget_set ()

    void
    gimp_gradient_select_widget_set (GtkWidget *widget,
                                     const gchar *gradient_name);

`gimp_gradient_select_widget_set` is deprecated and should not be used in newly-written code.

## Types and Values